Search The ForumSearch   RegisterRegister  LoginLogin

Afterlogic ActiveServer

 AfterLogic Forum : Afterlogic ActiveServer
Subject Topic: ActiveServer with PHP 8.0 not working Post ReplyPost New Topic
Author
Message << Prev Topic | Next Topic >>
Freezer
Newbie
Newbie


Joined: 26 October 2021
Location: Germany
Online Status: Offline
Posts: 15
Posted: 21 December 2022 at 7:57am | IP Logged Quote Freezer

Hello,

PHP 7.4 has not received any security updates since November 28th, 2022. After updating to PHP 8.0, ActiveServer no longer works. Z-Push has not been updated to work with PHP8 and later.

Error message:
21/12/2022 14:43:47 [181056] [FATAL] [e-mail address] Fatal error: /var/www/vhosts/activeserver/ipcsharedmemory/ipcsharedmemoryprovider.php:45 - Uncaught Error: Object of class SysvSemaphore could not be converted to string in /var/www/vhosts/activeserver/backend/ipcsharedmemory/ipcsharedmemoryprovider.php:45
Stack trace:
#0 /var/www/vhosts/activeserver/backend/ipcsharedmemory/ipcsharedmemoryprovider.php(45): sprintf()
#1 /var/www/vhosts/activeserver/lib/core/interprocessdata.php(93): IpcSharedMemoryProvider->__construct()
#2 /var/www/vhosts/activeserver/lib/core/topcollector.php(49): InterProcessData->__construct()
#3 /var/www/vhosts/activeserver/lib/core/zpush.php(538): TopCollector->__construct()
#4 /var/www/vhosts/activeserver/lib/core/devicemanager.php(87): ZPush::GetTopCollector()
#5 /var/www/vhosts/activeserver/lib/core/zpush.php(510): DeviceManager->__construct()
#6 /var/www/vhosts/activeserver/index.php(100): ZPush::GetDeviceManager()
#7 {main}
thrown (1)

Regards,
Freezer
Back to Top View Freezer's Profile Search for other posts by Freezer
 
Igor
AfterLogic Support
AfterLogic Support


Joined: 24 June 2008
Location: United States
Online Status: Offline
Posts: 5931
Posted: 21 December 2022 at 9:38am | IP Logged Quote Igor

Indeed, Z-Push currently requires PHP version 7.4 and does not support PHP 8:

Statement regarding the community project Z-Push

From their other announcement, they're not worried that much on dismissal of PHP 7.4 by the upstream developers. We hope, however, PHP 8 compatible version will become available at some point.

--
Regards,
Igor, Afterlogic Support
Back to Top View Igor's Profile Search for other posts by Igor
 

If you wish to post a reply to this topic you must first login
If you are not already registered you must first register

  Post ReplyPost New Topic
Printable version Printable version

Forum Jump

Powered by Web Wiz Forums version 7.9
Copyright ©2001-2004 Web Wiz Guide